package com.flossom.common.core.enums;

/**
 * wx_user_script_log
 * <p>
 * 消息类型：0、未知，1、用户注册，2、绑定仪器，3、打卡活动，4、护理计划，5、问卷活动，6、会员管理，7、消息模板，8、留言，9、完善用户信息
 */
public enum WxUserIntegralMessageTypeEnum {

    UNKNOWN(0, "未知"),
    USER_REGISTRATION(1, "用户注册"),
    BINDING_INSTRUMENTS(2, "绑定仪器"),
    CLOCK_ACTIVITIES(3, "打卡活动"),
    CARE_PLAN(4, "护理计划"),
    QUESTIONNAIRE_ACTIVITY(5, "问卷活动"),
    MEMBER_MANAGEMENT(6, "会员管理"),
    MESSAGE_TEMPLATE(7, "消息模板"),
    LEAVE_MESSAGE(8, "留言"),
    COMPLETE_USER_INFORMATION(9, "完善用户信息");

    private final Integer code;
    private final String info;

    WxUserIntegralMessageTypeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

}
